# /* Avtomati za kavo in caj - iz magisterija */
# /* Robert Meolic, 14. 10. 1999 */
# /* Primer za ekvivalencne relacije. */

pa_read_process "kavacaj.dat"
pa_encode_process "A1 A2 A3 A4 A5 A6 A7 A8 A9 A10"

outline "STRONG EQUIVALENCE"
for { set i 1 } { $i <= 10 } { incr i } {
  for { set j [expr $i+1] } { $j <= 10 } { incr j } {
    versis_strong_equivalence 0 A$i 0 A$j
  }
}

outline ""
outline "WEAK EQUIVALENCE"
for { set i 1 } { $i <= 10 } { incr i } {
  for { set j [expr $i+1] } { $j <= 10 } { incr j } {
    versis_weak_equivalence 0 A$i 0 A$j
  }
}

outline ""
outline "TESTING EQUIVALENCE"
for { set i 1 } { $i <= 10 } { incr i } {
  for { set j [expr $i+1] } { $j <= 10 } { incr j } {
    versis_testing_equivalence 0 A$i 0 A$j
  }
}

outline ""
outline "TRACE EQUIVALENCE"
for { set i 1 } { $i <= 10 } { incr i } {
  for { set j [expr $i+1] } { $j <= 10 } { incr j } {
    versis_trace_equivalence 0 A$i 0 A$j
  }
}
